sympol(1)

NAME
sympol - symmetric polyhedra tool

SYNOPSIS
sympol [OPTIONS] [INPUT_FILE]

DESCRIPTION

SymPol computes restricted automorphisms of polyhedra and performs polyhedral description conversion up to a given or computed symmetry group.

SymPol mostly uses the .ine/.ext file format used by cddlib and lrslib; (http://cgm.cs.mcgill.ca/~avis/C/lrslib/USERGUIDE.html#File%20Formats). However, unlike cddlib, SymPol requires that every inequality (H-representation) or vertex and ray (V-representation) occupy a single line. In addition, SymPol offers an extension to the format

The extension permits the inclusion of the automorphism group of a polyhedron, or parts of it, in the file. It is given after the end of the H- or V-representation of a permutation group, as follows.

permutation group
p
 { list of #p group generators }
q
 { #q base points separated by whitespace }

The p group generators are to be given in cycle form, where commas separate cycles. The value q may be set to zero if no base of the group is known.

OPTIONS

-h, --help
    Show a help message.

-v, --verbose[=N]
    Set the verbosity level, 0 by default. If N is omitted, 1 is assumed.

-t, --time
    Enable time measurement.

-i, --input-file FILE
    Read an input file (.ine or .ext). The file can also be listed last on the command line.

--automorphisms-only
    Compute only restricted automorphisms and then exit.

--no-automorphisms
    Ignores the given symmetry group and does not attempt to compute restricted automorphisms.

--bliss
    Use bliss graph automorphism tool to compute restricted automorphisms (default if bliss is available).

--permlibmatrix
    Use PermLib matrix automorphism search to compute restricted automorphisms.

--eigen
    Use floating point arithmetic based on Eigen to compute restricted automorphisms.

-e, --estimation-only
    Compute only LRS estimation and then exit.

-d, --direct
    Compute dual description directly.

-a, --adm
    Use one level of adjacency decomposition, solve subproblems directly.

--idm-adm-level idm-level adm-level
    Use a combined IDM/ADM strategy with the indicated levels.

--adm-idm-level adm-level idm-level
    Use a combined ADM/IDM strategy with the indicated levels.

--adm-estimate threshold
    Use adjacency decomposition method up to the given estimate threshold.

--adm-dim threshold
    Use adjacency decomposition method up to the given dimension threshold.

--adm-incidence threshold
    Use adjacency decomposition method up to the given incidence number threshold.

--idm-adm idm-threshold adm-threshold
    Use a combined IDM/ADM strategy with the indicated thresholds.

--cdd
    Use cdd for core dual description conversion (EXPERIMENTAL).

--adjacencies
    Record facet adjaencies. Requires ADM method at level 0.

PARAMETERS

--conf-lrs-estimates=N
    The number of estimates that LRS performs (default: 8).

--conf-lrs-estimate-maxdepth=N
    The maximal allowed depth of LRS estimates (default: 3).

--conf-compute-invariants=N
    The maximal degree of permutation group invariant polynomials to use (default: 0).

--conf-compute-orbit-limit=N
    Memory limit in megabytes for computing the full orbit (default: 1024).

--conf-compute-canonical-representatives=N
    Nonzero to compute canonical representatives for faces (default: 0).

--conf-intermediate-poly-fileprefix=PREFIX
    Prefix for filenames in which intermediate polyhedra are saved. This is useful for debugging and analyzing instances. Default: empty prefix.